<div id="alert-atribut-harga-kosong" style="display: none">#{information play.i18n.Messages.get("komoditas.atributharga.kosong.info"), type:'danger'/}</div>
<div id="alert-atribut-pilih-harga-utama" style="display: none">#{information play.i18n.Messages.get("komoditas.atributharga.utama_belum_dipilih.info"), type:'danger'/}</div>
<div id="alert-atribut-pilih-harga-retail" style="display: none">#{information play.i18n.Messages.get("komoditas.atributharga.retail_belum_dipilih.info"), type:'danger'/}</div>
<div id="alert-atribut-harga" style="display: none">#{information play.i18n.Messages.get("komoditas.atributharga.belum_isi.info"), type:'danger'/}</div>
<div id="alert-atribut-harga-delete" style="display: none">#{information play.i18n.Messages.get("komoditas.atributharga.not_deleted.info"), type:'danger'/}</div>
<div id="alert-atribut-harga-change-radio" style="display: none">#{information play.i18n.Messages.get("komoditas.atributharga.detail_not_deleted.info"), type:'danger'/}</div>
<div class="toolbar">
    <a id="addHarga" class="btn btn-primary"><i class="fa fa-plus"></i>&{'tambah.label'}</a>
    #{if atributHarga?.atribut_id.isEmpty()}
        <button type="button" id="removeAllHarga" class="btn btn-danger" ><i class="fa fa-trash"></i> &{'kosongkansemua.label'}</button>
    #{/if}
</div>
<div style="overflow-x: auto">
    <table class="table table-condensed">
        <thead>
        <tr>
            <th width="15">&{'nomor.label'}</th>
            <th>&{'nama_atribut_harga.label'}</th>
            <th>&{'referensi_ongkos_kirim.label'}</th>
            <th>&{'harga_utama.label'}</th>
            <th>&{'harga_pemerintah.label'}</th>
            <th>&{'harga_retail.label'}</th>
        </tr>
        </thead>
        <tbody id="tabel-atribut-harga">
        #{if atributHarga != null && atributHarga.nama_atribut != null}
            #{list atributHarga.nama_atribut, as:'atribut'}
                #{if !org.apache.http.util.TextUtils.isEmpty(atribut)}
                    #{if !atributHarga.atribut_id.isEmpty() }
                    <input type="hidden" name="atributHarga.atribut_id[${atribut_index - 1}]" value="${atributHarga.atribut_id[atribut_index-1]}"/>
                    <tr>
                        <td>
                            <a class='btn btn-danger removeHarga existingData ladda-button' data-style="zoom-out" idatribut="${atributHarga.atribut_id[atribut_index-1]}"><i class="fa fa-trash ladda-label"></i></a>
                        </td>
                        <td class="header-center"><input class="form-control" name="atributHarga.nama_atribut[${atribut_index - 1}]" value="${atribut}" required maxlength="100"/></td>
                        <td class="header-center"><input type="radio" name="atributHarga.ongkir" ${atributHarga.ongkir == atribut_index - 1 ? "checked idatribut='"+atributHarga.atribut_id[atribut_index-1]+"'" : ""} value="${atribut_index - 1}"/></td>
                        <td class="header-center"><input type="radio" name="atributHarga.harga_utama" ${atributHarga.harga_utama == atribut_index - 1 ? "checked idatribut='"+atributHarga.atribut_id[atribut_index-1]+"'" : ""} value="${atribut_index - 1}"/></td>
                        <td class="header-center"><input type="radio" name="atributHarga.harga_pemerintah" ${atributHarga.harga_pemerintah == atribut_index - 1 ? "checked idatribut='"+atributHarga.atribut_id[atribut_index-1]+"'" : ""} value="${atribut_index - 1}"/></td>
                        <td class="header-center"><input type="radio" name="atributHarga.harga_retail" ${atributHarga.harga_retail == atribut_index - 1 ? "checked idatribut='"+atributHarga.atribut_id[atribut_index-1]+"'" : ""} value="${atribut_index - 1}"/></td>
                    </tr>
                    #{/if}
                    #{else}
                    <tr>
                        <td>
                            <a class='btn btn-danger removeHarga'><i class="fa fa-trash"></i></a>
                        </td>
                        <td class="header-center"><input class="form-control" name="atributHarga.nama_atribut[${atribut_index - 1}]" value="${atribut}" required/></td>
                        <td class="header-center"><input type="radio" name="atributHarga.ongkir" ${atributHarga.ongkir == atribut_index - 1 ? "checked value='"+(atribut_index - 1)+"'" : ""}/></td>
                        <td class="header-center"><input type="radio" name="atributHarga.harga_utama" ${atributHarga.harga_utama == atribut_index - 1 ? "checked value='"+(atribut_index - 1)+"'" : ""}/></td>
                        <td class="header-center"><input type="radio" name="atributHarga.harga_pemerintah" ${atributHarga.harga_pemerintah == atribut_index - 1 ? "checked value='"+(atribut_index - 1)+"'" : ""}/></td>
                        <td class="header-center"><input type="radio" name="atributHarga.harga_retail" ${atributHarga.harga_retail == atribut_index - 1 ? "checked value='"+(atribut_index - 1)+"'" : ""}/></td>
                    </tr>
                    #{/else}
                #{/if}
            #{/list}
        #{/if}
        </tbody>
    </table>
</div>
